
<?php
require_once("DBManager.class.php");

class nota{
	private $idnota;///
	private $ideva;
	private $idalu;
	private $nota;		
	///////////////////////////////////////////
	public function Crear($videva,$vidalu,$vnota)
	{
		$resp=false;		
		$db= new DBManager();
if($db->_execute("INSERT INTO nota(idnota,idcabeva,idalu,nota) VALUES(null,'".$videva."',".$vidalu.",".$vnota.")"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorAlumno($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$rs=$db->execute("select * from nota where(idalu =".$v.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idnota"	    => $rs->fields["idnota"],
									"idcabeva" 	=> $rs->fields["idcabeva"],
									"idalu" => $rs->fields["idalu"],
									"nota" 	    => $rs->fields["nota"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	public function BuscarPorEvaluacion($v)
	{
		$vector=null;		
		$db= new DBManager();	
		$rs=$db->execute("select * from nota where(idcabeva ='".$v."')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idnota"	    => $rs->fields["idnota"],
									"idcabeva" 	=> $rs->fields["idcabeva"],
									"idalu" => $rs->fields["idalu"],
									"nota" 	    => $rs->fields["nota"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from nota where(idnota = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
					  $this->idnota=$rs->fields["idnota"];	
	                  $this->idcabeva=$rs->fields["idcabeva"];				      			
				      $this->idalu=$rs->fields["idalu"];				 
				      $this->nota=$rs->fields["nota"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	public function BuscarPorEvaAlu($vcod,$valu)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from nota where(idcabeva = '".$vcod."' and idalu=".$valu.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
					  $this->idnota=$rs->fields["idnota"];	
	                  $this->idcabeva=$rs->fields["idcabeva"];				      			
				      $this->idalu=$rs->fields["idalu"];				 
				      $this->nota=$rs->fields["nota"];
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}	
		
	///////////////////////////////////////////////		
	public function Actualizar($vidnota,$videva,$vidalu,$vnota)			
	{
		$resp=false;		
		$db= new DBManager();	
if($db->_execute("update  nota set idcabeva = '".$videva."', idalu = ".$vidalu.", nota = ".$vnota." where (idnota=".$vidnota.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	
	/////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();	
		if($db->_execute("DELETE FROM nota WHERE (idnota=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	////////////////////////////////////////
	public function getIdnota(){ return $this->idnota;}
	public function getIdcabeva(){ return $this->idcabeva;}
	public function getIdalu(){ return $this->idalu;}
	public function getNota(){ return $this->nota;}		
}
?>

